Before Getting Started!
Update each
X-Api-Keyheader with a Zendir access token: https://dashboard.zendir.io
⁉️ What is a Zendir “container”?
Zendir “containers” are cloud instances that run the simulation engine through a secure & encrypted REST API. This is the same core simulator that powers Zendir products, that can now be integrated into different applications and/or tools.
Below is a small set of HTTP endpoints for managing containers:
| Method | Endpoint | Description |
|---|---|---|
GET | https://api.zendir.io/v2.0/ | List all running containers |
POST | https://api.zendir.io/v2.0/ | Creates a new container |
DELETE | https://api.zendir.io/v2.0/CONTAINER_ID | Closes a running container |
⁉️ How to create a new container?
To create a new container, the desired API version must be specified. Currently versions 1.3 and up are supported - a new release occurs every 2-3 months:
| Version | Release Date | Release Status |
|---|---|---|
1.3.0 | 30 Jul, 2025 | Deprecated (Do not use) |
1.3.1 | 12 Aug, 2025 | Deprecated (Do not use) |
1.4.0 | 21 Oct, 2025 | Deprecated (Do not use) |
1.4.1 | 05 Nov, 2025 | Deprecated (Do not use) |
1.5.0 | 28 Jan, 2026 | Deprecated |
1.5.1 | 05 Feb, 2026 | Deprecated |
1.6.0 | 10 Mar, 2026 | Release |
1.6.1 | 19 Mar, 2026 | Patch |
1.6.2 | 20 Mar, 2026 | Latest Patch (Recommended) |
It’s recommend to always update to the latest version for better performance, security and compatibility.
To create a new container, run the following shell/bash command:
curl -X POST https://api.zendir.io/v2.0/ -H "X-Api-Key: ???" -d "{\"version\":\"1.5\"}"If successful, the request should return the ID of the new container - Congrats!
⁉️ How to close a running container?
Any container will automatically close after 5-10 minutes of inactivity.
To close a running container, use the following shell/bash command:
curl -X DELETE https://api.zendir.io/v2.0/CONTAINER_ID -H "X-Api-Key: ???"⁉️ How many containers are running?
To list all running containers, use the following shell/bash command:
curl -X GET https://api.zendir.io/v2.0/ -H "X-Api-Key: ???"